from AWAControl.diagnostics.screen import CircularROI
import numpy as np


class TestROI:
    def test_circular_roi(self):
        roi = CircularROI(xcenter=50, ycenter=50, radius=10)

        test_img = np.ones((100, 100))

        clipped_image = roi.crop_image(test_img)

        assert clipped_image.shape == (20, 20)
        assert clipped_image[0, 0] == 0
        assert clipped_image[10, 10] == 1

